[chirp_users] chirp on CentOS 7

Fred fredferickson at gmail.com
Wed Jul 3 20:16:24 PDT 2019


On Wed, 3 Jul 2019 16:44:16 -0500
Richard Shaw <hobbes1069 at gmail.com> wrote:

> On Wed, Jul 3, 2019 at 12:12 PM Fred <fredferickson at gmail.com> wrote:
> 
> >
> > After doing a fresh install of Fedora 30, I had to manually install
> > this - python2-pyserial-3.4-2fc30.noarch - for chirp to work.
> >  
> 
> You shouldn't have had to do that...
> 
> $ rpm -q --requires chirp
> /usr/bin/python2
> pygtk2
> python(abi) = 2.7
> python2-libxml2
> python2dist(pyserial)
> python2dist(suds-jurko)
> 
> $ rpm -q --provides python2-pyserial
> pyserial = 3.4-2.fc30
> python-pyserial = 3.4-2.fc30
> python2-pyserial = 3.4-2.fc30
> python2.7dist(pyserial) = 3.4
> python2dist(pyserial) = 3.4
> 
> So chirp on Fedora requires "python2dist(pyserial)" which the
> python2-pyserial package provides. It should have been picked up
> automatically...
> 
> Thanks,
> Richard

I've never had to do it before with Fedora either. I didn't mention
that my fresh install of Fedora 30 was the beta (Mate desktop) version.
Since the op was using Centos, I thought it wouldn't matter.

Thanks for your answers.

Fred 



More information about the chirp_users mailing list